Subject: Re: fvwm2 #308

From: Dominik Vogt <[email-masked]>
Date: Sun, 16 May 1999 14:07:23 +0200

On Tue, May 11, 1999 at 01:38:00PM -0500, [email-masked] wrote:
> > Not sure if you got my reply, so her it is again.
> > Are you by any chance using an old FvwmPager on the Solaris machine?
> > I can remember this bug very vaguely, but I think I fixed it ages
> > ago. Is your search path correct?
> > 
> > Bye
> > 
> > Dominik ^_^
> > 
> > --
> > Dominik Vogt, [email-masked]
> > Reply-To: [email-masked]
> 
> Dominik:
> 
> Here's a resend of my reply to you last week.  Thanks!
> 
> Thank you very much for looking into my problem (bug #308); I had 
> not previously heard anything from anyone about it.   The center
> line in the pager window is disappearing when an virtual page in
> the right column is made active.
> 
> For the problem I'm experiencing at work on Solaris 2.5.1;  some history.... 
> I work for a large company (Lucent Technologies) and we have a very good person
> (Bob Ford) who sort of informally maintains a bunch of quasi-official 
> tools (such as fvwm2, X11R6, etc) for people.  He builds and installs them in 
> a quasi-official bin for all users so we have sort of standard versions
> of the tools for all users..   Many users have used fvwm for a long time.  
> As I understand it, some changes in the latest fvwm2 release (fvwm2.2) 
> won't necessarily work with old format .fvwm2rc files.  So Bob couldn't 
> just overwrite the old/existing fvwm2 with the new fvwm2.2 one, or some
> users would potentially be broken.  He is currently finding all the fvwm2 
> users through some logging mechanism and helping users make the required 
> changes to their .fvwm2rc files.  For those of use who are already fvwm2.2 
> compatible (or are trying to be), Bob has compiled fvwm2.2 in a separate bin.  
> I am executing fvwm2.2 as a full path name from that bin.  I am picking
> up FvwmPager from the the same relative node; I do experience the 
> missing center line problem.  The 'old' version of fvwm2 we have installed
> at work is 2.0.43; i do not experience the problem when I execute that
> version of fvwm2.
> 
> On my PC at home, I have downloaded  the latest fvwm2.2 source and compiled
> it.  I'm trying to keep the real Linux distribution on a separate partition
> >from the stuff I am downloading myself, so I built fvwm2.2 in this location:
> 
> 	/home/local/fvwm/fvwm-2.2/fvwm/fvwm2
> 
> I do not have ModulePath set in my .fvwm2rc file; after I execute fvwm2
> (using the above full path name), echo $FVWM_MODULEDIR shows:
> 
> 	FVWM_MODULEDIR=/home/local/fvwm/libexec/fvwm/2.2
> 
> /home/local/fvwm/libexec/fvwm/2.2/FvwmPager does exist, is executable, and 
> was compiled and installed in the normal recommended manner.  As a sanity 
> check, I temporarily moved /home/local/fvwm/libexec/fvwm/2.2/FvwmPager
> to junk and restarted fvwm2.2; my pager window disappeared.  
> I moved junk back to /home/local/fvwm/libexec/fvwm/2.2/FvwmPager, 
> restarted fvwm2.2, and the Pager reappeared.  So I believe the problem 
> is occurring in FvwmPager in fvwm2.2 with the example .fvwm2rc file 
> I gave in the bug report.  
> 
> Thanks very much for looking at this.  If there is any more information I
> can give you, please let me know.

Can you send me your complete config file? I can't see this with the
snippet from the bug report.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]